Payment Status Inquiry Enhanced
This API returns details of your transactions for both Incoming and Outgoing payments based on specified parameters.
<font size=‘2’>Content-Type : Supports application/json.
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
This header represents the format in which the response output is needed. I.e. Input will be application/json;format=PSRJ03
Query parameters
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation
Request
Input UETR number. Unique EndtoEnd Transaction Reference identification assigned by the initiating party or payment processing bank to uniquely identify the transaction. 36 characters, made up to 32 hexadecimal characters, shown in five parts divided by hyphens/dashes as follows - xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx. Please provide either of uetr or end_to_end_identification.
Unique identification assigned by the initiating party to clearly identify the transaction. This Identification is passed on, unchanged, throughout the entire end-to-end chain. Please provide either of uetr or end_to_end_identification.
Response
Date & time(format YYYY-MM-DDThh:mm:ss.sssZ) when this particular of transaction status is captured. A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in “XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004” which is aligned with ISO 8601. Note on the time format:
- beginning / end of calendar day 00:00:00 = the beginning of a calendar day 24:00:00 = the end of a calendar day
- fractions of second in time format Decimal fractions of seconds may be included. In this case, the involved parties shall agree on the maximum number of digits that are allowed.